Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic
Interface SchematicEntry.FieldName

Enclosing interface:
  SchematicEntry

    public static interface SchematicEntry.FieldName

Field Summary
`static String` | `CONTENT` The name of the field used internally to store an entry's content, which is either a `Document` or a `Binary` value.
`static String` | `CONTENT_TYPE` The name of the metadata field used to store the MIME type for the entry's content.
`static String` | `ID` The name of the metadata field used to store the document key.
`static String` | `METADATA` The name of the field used internally to store an entry's metadata.
`static String` | `SCHEMA_URI` The name of the metadata field used to store the reference to the JSON Schema to which the document should conform.

Field Detail

### METADATA

    static final String METADATA

  The name of the field used internally to store an entry's metadata.

  See Also:
    Constant Field Values

### CONTENT

    static final String CONTENT

  The name of the field used internally to store an entry's content, which is either a `Document` or a `Binary` value.

  See Also:
    Constant Field Values

### ID

    static final String ID

  The name of the metadata field used to store the document key. Note that "id" is also the field name used by JSON Schema.

  See Also:
    Constant Field Values

### SCHEMA_URI

    static final String SCHEMA_URI

  The name of the metadata field used to store the reference to the JSON Schema to which the document should conform. Note that "$schema" is the field name used by JSON Schema.

  See Also:
    Constant Field Values

### CONTENT_TYPE

    static final String CONTENT_TYPE

  The name of the metadata field used to store the MIME type for the entry's content.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.